#!/usr/bin/python2.7
# coding: utf-8

import argparse
import random
import igraph as ig

argumentparser = argparse.ArgumentParser()
argumentparser.add_argument('nnodes', type=int)
argumentparser.add_argument('degree', type=int)
argumentparser.add_argument('seed', type=int)
args = argumentparser.parse_args()

filename = "n{}d{}.random.edges".format(args.nnodes, args.degree)
random.seed(args.seed)
g = ig.Graph.K_Regular(args.nnodes, args.degree)
g.write_edgelist(filename)
